# Changelog

## 2024-10-13 - 4.0.39 - fix(core)
Fix dependencies and update documentation.

- Ensure package uses the latest dependencies
- Reviewed and grouped imports in TypeScript files
- Updated readme with advanced usage examples

## 2024-10-13 - 4.0.38 - fix(dependencies)
Update dependencies to latest versions

- Updated @push.rocks/smartfile to version 11.0.21
- Updated @push.rocks/smartpromise to version 4.0.4
- Updated @push.rocks/smartstream to version 3.0.46
- Updated @push.rocks/smarturl to version 3.1.0
- Updated file-type to version 19.5.0
- Updated @git.zone/tsbuild to version 2.1.84
- Updated @git.zone/tsrun to version 1.2.49
- Updated @push.rocks/tapbundle to version 5.3.0

## 2024-06-08 - 4.0.24 to 4.0.37 - Fixes and Updates
Core updates and bug fixes were implemented in versions 4.0.24 through 4.0.37.

- Repeated core updates and fixes applied consistently across multiple versions.

## 2024-06-06 - 4.0.22 to 4.0.23 - Descriptions and Fixes Updates
Efforts to update documentation and core features.

- "update description" in 4.0.22
- Updates to `tsconfig` and `npmextra.json` were performed.
- Ongoing core fixes.

## 2023-11-06 - 4.0.0 - Major Update with Breaking Changes
Introduction of significant updates and breaking changes.

- Transition to new version 4.0.0 with core updates.
- Break in compatibility due to major structural changes with core functionalities.

## 2023-07-11 - 3.0.6 - Organizational Changes
Structural reorganization and updates to the organization schema.

- Switch to new organizational schema implemented.

## 2022-04-04 - 3.0.0 - Build Updates and Breaking Changes
Major build update introducing breaking changes.

- Introduction of ESM structure with breaking changes.

## 2016-01-18 - 0.0.0 to 1.0.0 - Initial Development and Launch
Initial software development and establishment of core features.

- Project set-up including Travis CI integration.
- Launch of the first full version with code restructuring.
- Added callback support.